Programmable Devices
CPLDs, FPGAs, SoC FPGAs, Configuration, and Transceivers
20826 Discussions

MAX IIG device programming with MAX II files

Ghayal
Beginner
996 Views

Hi,

I have ByteBlaster MV and I normally program my MAX II device EPM570T100 device with it. But this time we got EPM570GT100 devices. And it is not programming saying STAPL Format file does not match any valid JTAG ID codes. Any way out for this without going to Quartus II?

0 Kudos
7 Replies
YuanLi_S_Intel
Employee
933 Views

Do you have the full error message? Also how do you do the programming?


0 Kudos
Ghayal
Beginner
928 Views

The full error  message reads "JTAG ID code specified in JEDEC STAPL format file does not match any valid JTAG ID code for device". 

Incidentally everything works perfectly fine if a MAX II EPM570 device is soldered instead of the MAX IIG device, identical in package/pins. Originally the board was  designed for MAX II device. But since the ICs are in short supply we got MAX IIG devices and changed the Vccint on the board  to 1.8V keeping the rest identical. So actually we are looking forward to using the same files to program the MAX IIG device without going to the Quartus II development cycle again to change from MAX II to MAX IIG with identical package and pinout except Vccint.

We use Byteblaster MV through parallel printer port.

Is it possible to tinker with any of the POF or JAM file developed for the MAX II device and use it for programming the  MAX IIG device?

0 Kudos
YuanLi_S_Intel
Employee
843 Views

Nope, it is not possible. You need to recompile if there is a change in device part number.


0 Kudos
Ghayal
Beginner
838 Views

But newer versions of Quartus do not allow MAX IIG device selection. They just allow MAX II and MAX IIZ devices. So how do we recompile the project? Or can I use the earlier JAM or POF file  (generated for MAX II) to program equivalent MAX IIG device? 

0 Kudos
YuanLi_S_Intel
Employee
777 Views

No, you need to recompile. Can you try with the latest quartus version which support MAXIIG?


0 Kudos
Ghayal
Beginner
772 Views

Hi Yuan,

I was trying  with latest version. Also version 13.1. But both versions do not allow me the choice of selecting  MAX IIG device such as EPM570GT100I5 (which happens to be the device I want to program). Hence I am unable to compile the code with device of my interest. Perhaps earlier version 7 or 8 may support the IIG device (though not sure). But it is not available for download.  

With Regards, 

0 Kudos
YuanLi_S_Intel
Employee
727 Views

Sorry if old quartus version is needed, please contact your local FAE for the support.


0 Kudos
Reply